import os

from vkwave.bots import PhotoUploader

from util import Singleton


class Config(metaclass=Singleton):
    TOKEN = os.environ["TOKEN"]
    GROUP_ID = int(os.environ["GROUP_ID"])

    PG_USER = os.environ["USER"]
    PG_PASS = os.environ["PASS"]
    PG_ADDR = os.environ["DB_ADDR"]
    REDIS_ADDR = os.environ["REDIS_ADDR"]

    NFT_SVC_ADDR = os.environ["NFT_ADDR"]

    TMP_DIR = os.environ["TMP_DIR"]

    def __init__(self):
        self.api_ctx = None
        self.uploader: PhotoUploader = None

